Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class LifecycleEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.apache.catalina.LifecycleEvent

All Implemented Interfaces:
  java.io.Serializable

public final class LifecycleEvent
extends java.util.EventObject

General event for notifying listeners of significant changes on a component that implements the Lifecycle interface. In particular, this will be useful on Containers, where these events replace the ContextInterceptor concept in Tomcat 3.x.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LifecycleEvent(Lifecycle lifecycle, java.lang.String type)` Construct a new LifecycleEvent with the specified parameters.
`LifecycleEvent(Lifecycle lifecycle, java.lang.String type, java.lang.Object data)` Construct a new LifecycleEvent with the specified parameters.

Method Summary
`java.lang.Object` | `getData()` Return the event data of this event.
`Lifecycle` | `getLifecycle()` Return the Lifecycle on which this event occurred.
`java.lang.String` | `getType()` Return the event type of this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleEvent

    public LifecycleEvent(Lifecycle lifecycle,
                          java.lang.String type)

  Construct a new LifecycleEvent with the specified parameters.

Parameters:
  `lifecycle` - Component on which this event occurred
  `type` - Event type (required)

### LifecycleEvent

    public LifecycleEvent(Lifecycle lifecycle,
                          java.lang.String type,
                          java.lang.Object data)

  Construct a new LifecycleEvent with the specified parameters.

Parameters:
  `lifecycle` - Component on which this event occurred
  `type` - Event type (required)
  `data` - Event data (if any)

Method Detail

### getData

    public java.lang.Object getData()

  Return the event data of this event.

### getLifecycle

    public Lifecycle getLifecycle()

  Return the Lifecycle on which this event occurred.

### getType

    public java.lang.String getType()

  Return the event type of this event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.